PETSc version 3.15.5
Fix/Edit manual page

# DMRedundantCreate

Creates a DM object, used to manage data for dense globally coupled variables

### Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantCreate(MPI_Comm comm,PetscMPIInt rank,PetscInt N,DM *dm)

Collective

### Input Parameter

| comm | - the processors that will share the global vector
| rank | - rank to own the redundant values
| N | - total number of degrees of freedom

### Output Parameters

| dm | - the redundant DM

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateMatrix(), DMCompositeAddDM(), DMREDUNDANT, DMSetType(), DMRedundantSetSize(), DMRedundantGetSize()

### Level

advanced

### Location

src/dm/impls/redundant/dmredundant.c

### Examples

src/snes/tutorials/ex21.c.html
src/snes/tutorials/ex22.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages